package cn.superdesk.uniorder.dao.mapper.accounting.unified.customer;

import cn.superdesk.uniorder.dao.entity.sys.SysOrder;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.ReportOrderQA;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.ViewSysOrder;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.ViewSysOrderGoods;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.ViewSysOrderJoinGoods;
import cn.superdesk.uniorder.dto.vo.sys.SysOrderQuery;

import java.util.List;
import java.util.Map;

@Deprecated
public interface AccountingUnifiedCustomerMapperExSys {


	@Deprecated
	List<String> findRealNamesByOrder(Map<String, Object> queryMap);

	@Deprecated
	List<ViewSysOrder> findViewFromOrder(Map<String, Object> queryMap);

	@Deprecated
	ReportOrderQA getOrderReportData(SysOrderQuery query);

	@Deprecated
	ReportOrderQA getOrderReportDataDeath(SysOrderQuery query);

	@Deprecated
	ReportOrderQA findReportFromOrder(Map<String, Object> params);

	@Deprecated
	ReportOrderQA getOrderReturnAmountDeath(SysOrderQuery query);

	@Deprecated
	List<ViewSysOrderGoods> findViewFromOrderGoods(SysOrderQuery params);

	// XML 有ID 这里没有
//	GetGoodsById

	@Deprecated
	List<ViewSysOrderJoinGoods> findOrderViewGoodsTb(Map<String, Object> params);

	@Deprecated
	List<SysOrder> findAllFromOrder(Map<String, Object> queryMap);
}
